# Description

## NoWeaponDust is a mod for Valheim that aims to enhance the player's experience by providing options to remove the visual effects (VFX) seen using your weapon when attacking. Specifically, by default it disables the default "dust" effects from weapon attack triggers, with further options to remove additional effects at different points in the attack cycle.

`Client Only Mod`

---

## Features

- **RemoveTriggerEffects**: Enables removal of dust effects triggered by weapon attacks, providing a cleaner combat visual experience. Most noticeable when using Sledges.
- **RemoveHitTerrainEffects**: Allows for the disabling of dust effects when weapons hit terrain, keeping the battlefield less cluttered.
- **RemoveHitEffects**: Offers the option to remove dust effects upon hitting, focusing on the impact without additional VFX distractions.
- **RemoveStartEffects**: Permits the elimination of initial attack effects, streamlining the visual feedback of combat actions.

## Compatibility
- Designed to be compatible with most other mods. However, mods that significantly alter creature death mechanics may conflict (not tested with many mods). Though should be more compatible than the other alternative instant loot mods.

<details>
<summary><b>Installation Instructions</b></summary>

***You must have BepInEx installed correctly! I can not stress this enough.***

### Manual Installation

`Note: (Manual installation is likely how you have to do this on a server, make sure BepInEx is installed on the server correctly)`

1. **Download the latest release of BepInEx.**
2. **Extract the contents of the zip file to your game's root folder.**
3. **Download the latest release of NoWeaponDust from Thunderstore.io.**
4. **Extract the contents of the zip file to the `BepInEx/plugins` folder.**
5. **Launch the game.**

### Installation through r2modman or Thunderstore Mod Manager

1. **Install [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/)
   or [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager).**

   > For r2modman, you can also install it through the Thunderstore site.
   ![](https://i.imgur.com/s4X4rEs.png "r2modman Download")

   > For Thunderstore Mod Manager, you can also install it through the Overwolf app store
   ![](https://i.imgur.com/HQLZFp4.png "Thunderstore Mod Manager Download")
2. **Open the Mod Manager and search for "NoWeaponDust" under the Online
   tab. `Note: You can also search for "Azumatt" to find all my mods.`**

   `The image below shows VikingShip as an example, but it was easier to reuse the image.`

   ![](https://i.imgur.com/5CR5XKu.png)

3. **Click the Download button to install the mod.**
4. **Launch the game.**

</details>

<br>
<br>

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/qhr2dWNEYq)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>